Open SCAP Library

Public Member Functions | Data Fields
cvrf_acknowledgment Struct Reference

## Public Member Functions
xmlNode * | cvrf_acknowledgment_to_dom (struct cvrf_acknowledgment *ack)
| Parent: Acknowledgements container. More...
struct cvrf_acknowledgment * | cvrf_acknowledgment_new (void)
| New CVRF Acknowledgment element within Acknowledgments container. More...
void | cvrf_acknowledgment_free (struct cvrf_acknowledgment *ack)
| Deallocates memory for an Acknowledgment element of the Acknowledgments container. More...
struct cvrf_acknowledgment * | cvrf_acknowledgment_clone (const struct cvrf_acknowledgment *ack)
const char * | cvrf_acknowledgment_get_description (const struct cvrf_acknowledgment *ack)
bool | cvrf_acknowledgment_set_description (struct cvrf_acknowledgment *ack, const char *description)
struct oscap_string_iterator * | cvrf_acknowledgment_get_names (const struct cvrf_acknowledgment *ack)
struct oscap_string_iterator * | cvrf_acknowledgment_get_organizations (const struct cvrf_acknowledgment *ack)
struct oscap_string_iterator * | cvrf_acknowledgment_get_urls (const struct cvrf_acknowledgment *ack)

## Data Fields
struct oscap_stringlist * | names
struct oscap_stringlist * | organizations
char * | description
struct oscap_stringlist * | urls

## Member Function Documentation

## ◆ cvrf_acknowledgment_to_dom()

xmlNode * cvrf_acknowledgment_to_dom | ( | struct cvrf_acknowledgment * | ack | ) |

Parent: Acknowledgements container.

Parameters

  ack | CVRF Acknowledgment structure to be exported to XML

Returns
  xmlNode representing Acknowledgment element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h